<template>
  <div>
    <!-- <h1>GameScene</h1> -->
    <!-- <p>Login: {{ login }}</p>
    <p>Password: {{ password }}</p> -->
    <canvas ref="canvas" />
  </div>
</template>



<script>
import Game from "../src/game.ts";


export default {
  data() {
    return {
      login: this.$route.params.login,
      password: this.$route.params.password
    };
  },
  mounted() {
    const canvas = this.$refs.canvas;
    var game = new Game(canvas);
    game.start();

  }
};
</script>
